# mysqli::character_set_name

# mysqli_character_set_name

(PHP 5, PHP 7)

mysqli::character_set_name -- mysqli_character_set_name — Returns the default character set for the database connection

### Description

Object oriented style

mysqli::character_set_name ( void ) : string

Procedural style

mysqli_character_set_name ( mysqli `$link` ) : string

Returns the current character set for the database connection.

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

### Return Values

The default character set for the current connection

### Examples

Example #1 mysqli::character_set_name() example

Object oriented style

`<?php
/* Open a connection */
$mysqli = new mysqli("localhost", "my_user", "my_password", "world");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
/* Print current character set */
$charset = $mysqli->character_set_name();
printf ("Current character set is %s\n", $charset);
$mysqli->close();
?>`

Procedural style

`<?php
/* Open a connection */
$link = mysqli_connect("localhost", "my_user", "my_password", "world");
/* check connection */
if (!$link) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
/* Print current character set */
$charset = mysqli_character_set_name($link);
printf ("Current character set is %s\n",$charset);
/* close connection */
mysqli_close($link);
?>`

The above examples will output:

    Current character set is latin1_swedish_ci

### See Also

- mysqli_set_charset() - Sets the default client character set
- mysqli_client_encoding() - Alias of mysqli_character_set_name
- mysqli_real_escape_string() - Escapes special characters in a string for use in an SQL statement, taking into account the current charset of the connection